Subject: Expanded Package Models

From: Stephen Peters <[email-masked]>
Date: Wed, 25 Oct 1995 17:20:52 -0700

Hello Kumar, and fellow IBISans:

     Thanks for the clarification.  In your points below, you state
point 1 as follows:

"1. Remove the restriction that only adjacent etch can be coupled"

     I'm not sure if this is what you had in mind, but the topology below
can be described by breaking it into the appropriate sections and giving 
each section its own matrix.  In the
section where the the etch is (top to bottom) pin2, pin3, pin4 and pin1
the matix still lists explicitly the elements that couple.  Likewise for the 
section where the pin order (top to bottom) is pin3, pin2, pin4 and pin1 --
the coupling between elements is explicitly specified.  What I am saying
is that one can go thru the matrix for a section and, for any given pin,
pull out only those that couple to it and build a small matrix per pin.

  pin1 ------------+     +----------------------  
  pin2 ------------|-----|----------------------
  pin3 ------------|-----+  +-------------------
  pin4 ------------|--------|-------------------
                   +--------+

     As far as having one section couple to another and having different
numbers of sections per pin: Great!  However, I do not think this is
an extention to the current package proposal.  What you propose is (to me
anyway) a starting point for describing MCM/SIMMs.  I also think that 
there needs to be some kind of net ordering or topological description 
file that goes along with the matrix data and not just a simple "section"
notation.  There needs to be a way to associate a matrix with a particular,
arbirary group/area/configuration of traces (that is sort of what the
section concept is about -- only in that case the topology was fixed to be
a bunch of elements in series).  At any rate, that is my feeling.  I really
look forward to discussing this with everyone Friday.

           Regards,
           Stephen Peters
           Intel Corp.

Hello:

Sorry I sent the original proposal (enahncement to stephen's package
 model enhancement (BIRD 28.3)!!) only to Stephen. The thrust of  my attempt
 is  to

1. Remove the restriction that only adjacent etch can be coupled

2. Remove the restriction that in order to use coupling the adjacent etch
 should have the same number of sections.

It is my hope these two modifications will make it possible to describe
 any kind of packages with arbitrary coupling between etch sections.
 No special restrictions on etch routing (like expecting adjacent pins to
 have adjacent etches) will be imposed.

I am attaching my original correspondence to Stephen

> 
> 
> Hello Kumar, and Fellow IBISans:
> 
>      Thank you for taking the time to write up your proposal.  I do
> have a couple of questions.  First, in your example, did you really
> mean for section #3 of pin A3 to couple to section --> #2 <-- of pin A5
> or section #3 of Pin A5.
> 
> ---------------------- your example
> 
> A1  Len = 0 L=1.2n /  Len= 1.2 Matrix=3line MxPinOrder=(A1 A2 A3) /
>     Len = 0.47 L=8.35n C=3.34p R=0.01 /
> A2  Len = 0 L=1.4n /  Len= 1.2 Matrix=3line MxPinOrder=(A1 A2 A3) /
>     Len = 0.47 L=8.35n C=3.34p R=0.01 /
> A3  Len = 0 L=1.4n /  Len= 1.2 Matrix=3line MxPinOrder=(A1 A2 A3) /
>     Len = 0 Matrix=2line MxPinOrder=(A3 A5) /
> A4  Len = 0 L=1.2n / Len = 1.0 L=2nH / Len=0.47 L=8.35
>     C=3.34p R=0.01/
> A5  Len = 0 L=1.2n /
>     Len = 0 Matrix=2line MxPinOrder=(A3 A5) /
>     Len = 0.47 L=8.35n C=3.34p R=0.01 /
> 

Yes. I wanted to show how section 2 of pin 2 is coupled to section 2 of pin 3 
and section 3 of pin3 is coupled to section 2 of pin 5!! The use of a matrix
 name and an explicit pin order makes this description possible.

> ---------------------
>      Second, it is not obvious to me what extra functionality
> or problem you are trying to address by adding the matrix names and the
> MxPinOrder keywords.  In your example above you want to show coupling
> between pins A1, A2 and A3, and also A3 coupling to A5.  This can be
> done by using the sparse matrix format as follows (using a capacitance
> matrix for illustration):
> 
> [Capacitance Matrix]  Sparse_matrix
> [Row] 1
> 1    xxpF
> 2    yypF
> 3    zzpF
> [Row] 2
> 2    aapF
> 3    zzpF
> [Row] 3
> 3    bbpF
> 5    ccpF
> [Row] 4
> 4    anothervaluepF
> .
> .
> .
> [Row] 5
> 5    stillanothervaluepF
> .
> .
> .
> and so on
> 
>      I get the feeling I am missing something in your explanation/example.
> Please enlighten me.
> 
>               Best Regards,
>               Stephen Peters
>               Intel Corp.
> 
The matrix description in the package section is meant to describe complete
 packages and the pin order includes ALL the package pins. The proposed matrix
 describing etch coupling can be arbitrarily small or large. The pins to the
 corresponding to the matrices are explicitly stated in the pin order.
----------
X-Sun-Data-Type: mail-file
X-Sun-Data-Description: mail-file
X-Sun-Data-Name: enh28.3
X-Sun-Encoding-Info: uuencode
X-Sun-Content-Lines: 189